Bug 1274314 - Date input field in retirement editor behaves inconsistently
Date input field in retirement editor behaves inconsistently
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Milan Zazrivec
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 09:20 EDT by Milan Zazrivec
Modified: 2015-12-08 08:39 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2015-10-22 09:20:10 EDT
Description of problem:
Date input field in retirement editor inconsistently displays
dates.

Version-Release number of selected component (if applicable):
CFME 5.5

How reproducible:
Always

Steps to Reproduce:
1. Go to a VM's detail page
2. Lifecycle -> Set Retirement Date
3. Set retirement date, for example: '10/15/2015'
4. Again, go to Lifecycle -> Set Retirement Date
5. Look at the retirement date shown in UI

Actual results:
Thu Oct 15 2015 02:00:00 GMT+0200 (CEST)

Expected results:
10/15/2015

Additional info:
Seemingly, the angular parsers and formatters for the datepicker input
are not being used here as they should, hence the odd behavior.

This is caused by the following commit:

    https://github.com/ManageIQ/manageiq/commit/aad733884cb52d0a2f82d1e08e976b06bea3a158

which mistakenly removed miq-calendar directive from list of used
javascript assets.
Comment 1 Milan Zazrivec 2015-10-22 10:17:27 EDT
https://github.com/ManageIQ/manageiq/pull/5042
Comment 2 CFME Bot 2015-10-22 13:30:19 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/04dc01e275ec0c4cd9e3420de94cc67fe25081a5

commit 04dc01e275ec0c4cd9e3420de94cc67fe25081a5
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Oct 22 15:22:01 2015 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Oct 22 15:22:01 2015 +0200

    Add mistakenly removed miq-calendar angular directive
    
    This directive is used by retirement editor.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274314

 app/assets/javascripts/application.js | 1 +
 1 file changed, 1 insertion(+)
Comment 3 Milan Falešník 2015-11-05 06:19:41 EST
Verified in 5.5.0.9.
Comment 5 errata-xmlrpc 2015-12-08 08:39:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.